[Mod] Advanced Trains [advtrains] [2.0.1 TSS]

User avatar
Codesound
Member
 
Posts: 229
Joined: Thu Jun 09, 2016 14:56
 

User avatar
Imk
Member
 
Posts: 214
Joined: Mon Nov 05, 2018 19:15
Location: Crimea, Russia
In-game: Imk

Re: [Mod] Advanced Trains [advtrains] [2.0.1 TSS]

by Imk » Fri Nov 08, 2019 13:57

by Codesound » Thu Nov 07, 2019 21:27
@Orwell, Hi,

it is possible to fix this visualization problem?


I have a problem with that, too.

and with the boat, horses as well.
+ Spoiler

Maybe you know why this happens?
3d_armor installation field appeared.
Our character visually failed lower than we were physically
viewtopic.php?f=23&t=21514

They advised to update 3d armor the error disappeared but appeared as on the screen
If you ride a horse, the train will also be a block higher
3d armor updated Sun Dec 02, 2018 20:38 link https://github.com/stujones11/minetest- ... _0.5.0-dev and no longer changed


That's not the problem mods Advanced Trains .

Maybe we should create a new theme
with these questions. I also want to find a solution.
 

User avatar
gpcf
Member
 
Posts: 322
Joined: Fri May 27, 2016 10:48
In-game: gabriel

Re: [Mod] Advanced Trains [advtrains] [2.0.1 TSS]

by gpcf » Fri Nov 08, 2019 18:29

that is the fix of the broken attachment in 0.4.... It needs a bugfix for the workaround around the broken attachment.... It will surely be done once Linuxworks is on 5.0
 

User avatar
Miniontoby
Member
 
Posts: 245
Joined: Fri Mar 01, 2019 19:25
Location: The Netherlands
In-game: Miniontoby

Re: [Mod] Advanced Trains [advtrains] [2.0.1 TSS]

by Miniontoby » Fri Nov 08, 2019 18:41

I have the opposit of that problem.

I mean that I walk in a block and all the things you have in a block
My English isn't very good because I'm Dutch ---- Check my mod "Doorbell"
 

User avatar
Imk
Member
 
Posts: 214
Joined: Mon Nov 05, 2018 19:15
Location: Crimea, Russia
In-game: Imk

Re: [Mod] Advanced Trains [advtrains] [2.0.1 TSS]

by Imk » Fri Nov 08, 2019 20:06

gpcf wrote:that is the fix of the broken attachment in 0.4.... It needs a bugfix for the workaround around the broken attachment.... It will surely be done once Linuxworks is on 5.0


version 5.2.0-dev-0df646e-dirty
 

User avatar
orwell
Member
 
Posts: 788
Joined: Wed Jun 24, 2015 18:45
Location: Raxacoricofallapatorius
GitHub: orwell96
IRC: orwell96_mt
In-game: orwell

Re: [Mod] Advanced Trains [advtrains] [2.0.1 TSS]

by orwell » Mon Nov 11, 2019 11:18

Imk wrote:Help all
Tell me what to do.
I want privacy two blocks below the rail.

/home/imk/minetest/mods/advtrains/advtrains
settingtypes.txt
Code: Select all
#    Track protection range (down)
#    Players without the 'track_builder' privilege can not build within a box around any tracks determined by these range settings
#    This setting determines the lower y bound of the box, a value of 1 means that the rail and 1 node below it are protected 
advtrains_prot_range_down (Track protection range [down]) int 1 0 10

int 1 0 10

int 2 0 10 it doesn't work out.

У меня под рельсами гравий и если обычные игроки капают блок ниже гравия он осыпается с приват и падает рельса. Помогите правильно поставить приват на 2 блока ниже рельс.


No. Do not change this file. settingtypes.txt contains information on what settings exist and what type they are. Their actual value is set in minetest.conf.
What you need to do is either
- go to the "Advanced Settings" menu, under "Mods" find "advtrains" and set "Track protection range [down]" to 2
or
- open your minetest.conf and add "advtrains_prot_range_down = 2"
Lua is great!
List of my mods
I like singing. I like dancing. I like ... niyummm...
 

User avatar
orwell
Member
 
Posts: 788
Joined: Wed Jun 24, 2015 18:45
Location: Raxacoricofallapatorius
GitHub: orwell96
IRC: orwell96_mt
In-game: orwell

Re: [Mod] Advanced Trains [advtrains] [2.0.1 TSS]

by orwell » Mon Nov 11, 2019 11:22

gpcf wrote:that is the fix of the broken attachment in 0.4.... It needs a bugfix for the workaround around the broken attachment.... It will surely be done once Linuxworks is on 5.0

I imagine there even was a branch for it:
http://git.bananach.space/advtrains.git ... =mt5-fixes
Lua is great!
List of my mods
I like singing. I like dancing. I like ... niyummm...
 

User avatar
Imk
Member
 
Posts: 214
Joined: Mon Nov 05, 2018 19:15
Location: Crimea, Russia
In-game: Imk

Re: [Mod] Advanced Trains [advtrains] [2.0.1 TSS]

by Imk » Mon Nov 11, 2019 17:37

orwell wrote: - open your minetest.conf and add "advtrains_prot_range_down = 2"

Orwell Thank you. Everything's fine now!

Image
Attachments
screenshot_20191111_192649.jpg
(101.94 KiB) Not downloaded yet
 

Previous

Return to Mod Releases



Who is online

Users browsing this forum: No registered users and 2 guests